package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaHmMarketingBuygiftItemRemoveAsyncRequest struct {
	/*
	   sku信息     */
	Param0 *[]domain.AlibabaHmMarketingBuygiftItemRemoveAsyncItemBuyGiftSku `json:"param0" required:"true" `
	/*
	   系统自动生成     */
	Param1 *domain.AlibabaHmMarketingBuygiftItemRemoveAsyncCommonActivityParam `json:"param1,omitempty" required:"false" `
	/*
	   alibaba.wdk.marketing.version.generate接口生成     */
	Version *int64 `json:"version" required:"true" `
}

func (s *AlibabaHmMarketingBuygiftItemRemoveAsyncRequest) SetParam0(v []domain.AlibabaHmMarketingBuygiftItemRemoveAsyncItemBuyGiftSku) *AlibabaHmMarketingBuygiftItemRemoveAsyncRequest {
	s.Param0 = &v
	return s
}
func (s *AlibabaHmMarketingBuygiftItemRemoveAsyncRequest) SetParam1(v domain.AlibabaHmMarketingBuygiftItemRemoveAsyncCommonActivityParam) *AlibabaHmMarketingBuygiftItemRemoveAsyncRequest {
	s.Param1 = &v
	return s
}
func (s *AlibabaHmMarketingBuygiftItemRemoveAsyncRequest) SetVersion(v int64) *AlibabaHmMarketingBuygiftItemRemoveAsyncRequest {
	s.Version = &v
	return s
}

func (req *AlibabaHmMarketingBuygiftItemRemoveAsyncRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param0 != nil {
		paramMap["param0"] = util.ConvertStructList(*req.Param0)
	}
	if req.Param1 != nil {
		paramMap["param1"] = util.ConvertStruct(*req.Param1)
	}
	if req.Version != nil {
		paramMap["version"] = *req.Version
	}
	return paramMap
}

func (req *AlibabaHmMarketingBuygiftItemRemoveAsyncRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
